Apis::V4::PeopleSearch API

search people by gender

Parameters

Name Description
access_token JSON Web Token retrieved from the Sessions endpoint (you can also passthis into the Authorization header)
q search string, the system will try to search by first and last name, or email address if you include a '@'
limit max number of people to return. Defaults to 10.
organization_ids (optional) only look in these organizations
fields hash of fields you want for model types. the person type will default to these fields: first_name,last_name,gender,primary_email_address. But you could request picture if you want to receive that as well.

Request

Headers

Version: HTTP/1.0
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDU0MDIyMSwiaWF0IjoxNzk0NTQwMDQxfQ.hd37ATfEqbCzjQ-M6jpyjovw1RAHLqzTg5AWhWPj4Bs
Host: example.org
Cookie: 

Route

GET /apis/v4/search?filters[gender]=f

Query Parameters

filters={"gender"=>"f"}

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/vnd.api+json
Vary: Accept
X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMzgsImV4cCI6MTc5NDcxMjg0MSwiaWF0IjoxNzk0NTQwMDQxfQ.bK1HA3clU_zVzNkkfpg39Yx9QReq5nR-QNBuhersjyk
Access-Control-Expose-Headers: X-MH-Session
ETag: W/"c8fc44ffd8b73dac539fa2a0bcc14130"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 35c14556-3352-47c0-98ce-daf00a759482
X-Runtime: 0.081657
Content-Length: 1112

Status

200

Body